Subject: Re: [IETFMIBS] Question regarding Q-BRIDGE-MIB

From: "David Harrington" <[email-masked]>
Date: Mon, 29 Jun 2009 16:20:12 -0400

Hi,

If you are designing a new tool for VLAN discovery, then please be
aware that the Q-BRIDGE-MIB
definition in RFC 4363 is the end of a line of evolution that has been
superceded by another evolutionary line. Bridging is defined by IEEE
802.1, and in 2006 we officially turned the maintenance of the Bridge
MIB modules over to IEEE. The existing RFCs are still valid IETF
standards for single bridged networks. However, The new IEEE 802.1D
bridging standards allow for provider backbone bridging
http://www.ieee802.org/1/pages/802.1ad.html, and 
802.1ah http://www.ieee802.org/1/pages/802.1ah.html enables
interconnection of multiple Provider Bridged Networks. The new MIB
modules can be found at http://www.ieee802.org/1/pages/MIBS.html. 

I stopped being involved after we tranferred the MIB modules. David
Levi could give you better answers about the changes than I can.

Now. To your original question. 
I don't know. It looks to me like there would be only one instance of
the table.

Let me copy your question to [email-masked], where other
implementers might be able to answer your question better.

dbh

> -----Original Message-----
> From: Hassan Gobjuka [mailto:[email-masked]] 
> Sent: Friday, June 26, 2009 5:04 PM
> To: [email-masked]
> Subject: Question regarding Q-BRIDGE-MIB
> 
> Dear David,
> 
> I'm working on designing tool for VLAN topology discovery and 
> was reading
> the "Q-BRIDGE-MIB DEFINITIONS" design document. I have a question
and
> would truly appreciate your help.
> 
> I noticed that there is "dot1qTpFdbAddress" and 
> "dot1qTpFdbPort" objects
> to store the MAC address and port, respectively. I'd like to 
> know whether
> the Forwarding  Database (FDB) information for each VLAN is 
> stored in a
> separate table or are all FDB information for all VLANs are 
> stored in one
> table?
> 
> 
> Thank you very much,
> Hassan
> 
> 
>